Bug 12165 - Add description of charges (bug 2546) to Bootstrap OPAC
Summary: Add description of charges (bug 2546) to Bootstrap OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 2546
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-30 17:41 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12165: Add descriptions of charges (bug 2546) to Bootstrap Opac theme (3.29 KB, patch)
2014-04-30 19:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 12165: Add descriptions of charges (bug 2546) to Bootstrap Opac theme (3.62 KB, patch)
2014-05-01 15:07 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 12165: Add descriptions of charges (bug 2546) to Bootstrap Opac theme (3.67 KB, patch)
2014-05-08 14:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12165: Display record title (2.72 KB, patch)
2014-05-08 14:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-04-30 17:41:59 UTC
It looks like we forgot to fix the bootstrap templates in bug 2546:

Copying test plan from the other bug:

The descriptions for charges are stored in English in the DB
(accountlines.description). So they are not translatable.

This patch removes the descriptions automatically added and generates
the string in the template.

Test plan:
1/ Execute the updatedatabase entry.
2/ Verify in the following pages the description is consistent:
    - members/pay.pl?borrowernumber=XXXX
    - members/boraccount.pl?borrowernumber=XXXX
    - opac-account.pl
3/ Launch the translate script and update the po files in order to
translate the new strings.
4/ Verify the strings are translated in the interface.


The database bits for this are done, we only need to update the templates.
Comment 1 Katrin Fischer 2014-04-30 19:17:44 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-05-01 15:07:36 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-05-08 14:58:16 UTC
Created attachment 28100 [details] [review]
Bug 12165: Add descriptions of charges (bug 2546) to Bootstrap Opac theme

1) Create an account with lots of different charges, fines, fees, etc.
2) Look at the accouts tab in the prog OPAC theme
3) Compare the page to bootstrap theme
4) Verify display is now the same

In my tests I found some things that could still be improved,
but for the goal is to make all OPAC themes behave the same.

Tested by changing accounttype in table accountlines to all possible values like Pay, Pay00, Pay01 etc.
Both themes display the same values, e.g. "Payment, thanks (cash via SIP2)" for Pay00
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2014-05-08 14:58:19 UTC
Created attachment 28101 [details] [review]
Bug 12165: Display record title

The code introduced by bug 2546 uses an undefined variable (line.title).
It should be ACCOUNT_LINE.title.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Galen Charlton 2014-05-23 13:50:30 UTC
Pushed to master and 3.16.x.  Thanks, Katrin!